package org.greenstone.gatherer.gui;

import java.awt.*;
import javax.swing.*;

/** A button that allows for an icon at both the left and right sides. */
public class DoubleImageButton
    extends JButton {

    static final private Dimension SIZE = new Dimension(160, 25);

    private JLabel west_disabled_icon_label;
    private JLabel east_disabled_icon_label;
    private JLabel west_enabled_icon_label;
    private JLabel east_enabled_icon_label;

    public DoubleImageButton(String title, ImageIcon enabled_icon, ImageIcon disabled_icon) {
	super(title);

	setPreferredSize(SIZE);

	west_disabled_icon_label = new JLabel(disabled_icon);
	east_disabled_icon_label = new JLabel(disabled_icon);
	west_enabled_icon_label = new JLabel(enabled_icon);
	east_enabled_icon_label = new JLabel(enabled_icon);

	setEnabled(false);
	setLayout(new BorderLayout());
	add(west_disabled_icon_label, BorderLayout.WEST);
	add(west_disabled_icon_label, BorderLayout.EAST);
    }

    public void setEnabled(boolean enabled) {
	super.setEnabled(enabled);
	if(enabled) {
	    remove(west_disabled_icon_label);
	    remove(east_disabled_icon_label);
	    add(west_enabled_icon_label, BorderLayout.WEST);
	    add(east_enabled_icon_label, BorderLayout.EAST);
	}
	else {
	    remove(west_enabled_icon_label);
	    remove(east_enabled_icon_label);
	    add(west_disabled_icon_label, BorderLayout.WEST);
	    add(east_disabled_icon_label, BorderLayout.EAST);
	}
	validate();
    }
}
